Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iserve.ipc
Class IServeCommServer.IdentityChecker

    java.lang.Object
      ix.iserve.ipc.IServeCommServer.IdentityChecker

Direct Known Subclasses:
  IServeCommServer.DefaultIdentityChecker, IServeCommServer.IXIdentityChecker, IServeSLCommServer.SLIdentityChecker

Enclosing class:
  IServeCommServer

    protected abstract class IServeCommServer.IdentityChecker

extends java.lang.Object

Field Summary
`protected java.lang.String` | `hostAddr`
`protected java.lang.String` | `hostName`
`protected java.lang.String` | `password`
`protected IServeCommServer.User` | `user`

Constructor Summary
`protected` | `IServeCommServer.IdentityChecker(IServeCommServer.User user)`

Method Summary
`void` | `changingIdentityCheckerFrom(IServeCommServer.IdentityChecker oldChecker)`
`void` | `checkAddMessage(MessageWrapper req)`
`protected void` | `checkMessageHost(MessageWrapper w)`
`protected void` | `checkMessagePassword(MessageWrapper w)`
`protected void` | `checkMessageSource(MessageWrapper w)` Checks whether the message came from an acceptable source.
`protected void` | `checkMessageUUID(MessageWrapper w)`
`void` | `checkNextMessageRequest(MessageWrapper req)`
`void` | `checkRegisterRequest(MessageWrapper req)`
`void` | `checkSendRequest(MessageWrapper req)`
`void` | `init()`
`void` | `status(java.util.Date now, java.util.List<java.lang.String> statusLines)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### user

    protected final IServeCommServer.User user

### password

    protected java.lang.String password

### hostName

    protected java.lang.String hostName

### hostAddr

    protected java.lang.String hostAddr

Constructor Detail

### IServeCommServer.IdentityChecker

    protected IServeCommServer.IdentityChecker(IServeCommServer.User user)

Method Detail

### changingIdentityCheckerFrom

    public void changingIdentityCheckerFrom(IServeCommServer.IdentityChecker oldChecker)

### init

    public void init()

### checkRegisterRequest

    public void checkRegisterRequest(MessageWrapper req)
                              throws HttpRequestException

  Throws:
    `HttpRequestException`

### checkSendRequest

    public void checkSendRequest(MessageWrapper req)
                          throws HttpRequestException

  Throws:
    `HttpRequestException`

### checkAddMessage

    public void checkAddMessage(MessageWrapper req)

### checkNextMessageRequest

    public void checkNextMessageRequest(MessageWrapper req)
                                 throws HttpRequestException

  Throws:
    `HttpRequestException`

### status

    public void status(java.util.Date now,
                       java.util.List<java.lang.String> statusLines)

### checkMessageSource

    protected void checkMessageSource(MessageWrapper w)
                               throws HttpRequestException

  Checks whether the message came from an acceptable source. If an agent (name) starts sending from a different host, for example, then this method might object unless something (such as a password) shows that it is the same agent rather than an impostor.

  This method is typically called by the public 'check' methods that check the user who sent the request to the server.

  Throws:
    `HttpRequestException` - if the message was sent by an agent that this server does not recognise as a valid source for that message.

### checkMessageHost

    protected void checkMessageHost(MessageWrapper w)
                             throws HttpRequestException

  Throws:
    `HttpRequestException`

### checkMessageUUID

    protected void checkMessageUUID(MessageWrapper w)
                             throws HttpRequestException

  Throws:
    `HttpRequestException`

### checkMessagePassword

    protected void checkMessagePassword(MessageWrapper w)
                                 throws HttpRequestException

  Throws:
    `HttpRequestException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD